> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kashimi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment by id



## OpenAPI

````yaml GET /api/v1/archive/payments/{id}
openapi: 3.0.0
info:
  title: Gatekeeper docs
  description: gatekeeper API
  version: 0.0.1
  contact: {}
servers: []
security: []
tags: []
externalDocs:
  description: JSON document
  url: /api/docs-json
paths:
  /api/v1/archive/payments/{id}:
    get:
      tags:
        - Payment Archive
      summary: Get a payment by ID
      operationId: PaymentsController_getById_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer token for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPaymentOutputDto'
        '400':
          description: The request is not formatted correctly
          content:
            application/json:
              example:
                statusCode: 400
                title: Bad Request
                message: Invalid ID value
        '401':
          description: >-
            Your access token was either not passed with the request, or it is
            invalid (e.g. expired or malformed). Make sure to pass the token in
            the Authorization header, and obtain a new one if it has expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 401
                title: Unauthorized
                message: Unauthorized
        '403':
          description: You do not have the necessary permissions to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 403
                title: Forbidden
                message: Access denied
        '404':
          description: The payment with the specified ID was not found
          content:
            application/json:
              example:
                statusCode: 404
                title: Not Found
                message: Not Found
      security:
        - bearer: []
      x-codeSamples:
        - lang: cURL
          source: >

            curl --location --request GET
            "https://api.kashimi.tech/api/v1/archive/payments/{paymentId}" 

            --header "Accept: application/json" 

            --header "Authorization: Bearer YOUR_ACCESS_TOKEN" 
components:
  schemas:
    GetPaymentOutputDto:
      type: object
      properties:
        id:
          type: string
          description: Unique payment identifier
          example: 5fad63ad-f79d-4505-b068-88450100750d
        createdAt:
          type: string
          example: '2023-04-05T17:02:11.954Z'
        updatedAt:
          type: string
          example: '2023-04-05T17:02:11.954Z'
        provider:
          description: Payment provider details.
          allOf:
            - $ref: '#/components/schemas/PaymentProviderOutputDto'
        paymentScheme:
          description: Payment scheme used
          allOf:
            - $ref: '#/components/schemas/PaymentPaymentSchemeOutputDto'
        sender:
          $ref: '#/components/schemas/PaymentSenderOutputDto'
        recipient:
          $ref: '#/components/schemas/PaymentRecipientOutputDto'
        amount:
          type: number
          description: Payment amount
          example: 100
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWG
          description: Currency code
          example: EUR
        remittanceInformation:
          description: Unstructured or structured remittance information.
          allOf:
            - $ref: '#/components/schemas/PaymentRemittanceInformationOutputDto'
        metadata:
          $ref: '#/components/schemas/PaymentMetadataOutputDto'
      required:
        - id
        - createdAt
        - updatedAt
        - provider
        - paymentScheme
        - sender
        - recipient
        - amount
        - currency
        - remittanceInformation
        - metadata
    ErrorOutputDto:
      type: object
      properties:
        title:
          type: string
          description: Name of the error
        statusCode:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - title
        - statusCode
        - message
    PaymentProviderOutputDto:
      type: object
      properties:
        id:
          type: string
          description: Payment provider identifier
          example: a5613c23-0317-4c51-a6fe-6723993e43e9
        preferences:
          description: Payment provider preferences
          allOf:
            - $ref: '#/components/schemas/PaymentProviderPreferencesOutputDto'
    PaymentPaymentSchemeOutputDto:
      type: object
      properties:
        name:
          type: string
          description: Payment scheme name.
          example: SEPA
          enum:
            - SEPA
            - DOMESTIC
        preferences:
          description: Preferences for the payment scheme.
          example:
            mode: INSTANT
            feePaidBy: SENDER
          allOf:
            - $ref: '#/components/schemas/PaymentPaymentSchemePreferencesOutputDto'
      required:
        - name
    PaymentSenderOutputDto:
      type: object
      properties:
        account:
          description: Sender account details
          allOf:
            - $ref: '#/components/schemas/PaymentSenderAccountOutputDto'
        address:
          description: Sender address
          allOf:
            - $ref: '#/components/schemas/PaymentAddressOutputDto'
        credentials:
          description: Sender online banking credentials
          allOf:
            - $ref: '#/components/schemas/PaymentSenderCredentialsOutputDto'
    PaymentRecipientOutputDto:
      type: object
      properties:
        account:
          description: Recipient account details
          allOf:
            - $ref: '#/components/schemas/PaymentRecipientAccountOutputDto'
        name:
          type: string
          description: Recipient name
        address:
          description: Recipient address
          allOf:
            - $ref: '#/components/schemas/PaymentAddressOutputDto'
      required:
        - account
        - name
        - address
    PaymentRemittanceInformationOutputDto:
      type: object
      properties: {}
    PaymentMetadataOutputDto:
      type: object
      properties:
        redirectUri:
          type: string
          description: URI to redirect PSU
          example: https://example.com/redirect
        psuIpAddress:
          type: string
          description: PSU IP address
          example: 192.168.1.1
        psuUserAgent:
          type: string
          description: PSU user agent
          example: >-
            Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
            like Gecko) Chrome/91.0.4472.124 Safari/537.36
        endToEndId:
          type: string
          description: Payment end-to-end identifier
          example: E2E123456789
        webhookUrl:
          type: string
          description: Webhook URL
          nullable: true
          example: https://example.com/webhook
      required:
        - redirectUri
        - psuIpAddress
        - psuUserAgent
        - endToEndId
    PaymentProviderPreferencesOutputDto:
      type: object
      properties:
        countryCodes:
          description: Countries available for provider selection.
          allOf:
            - $ref: >-
                #/components/schemas/PaymentProviderPreferencesCountryCodesOutputDto
    PaymentPaymentSchemePreferencesOutputDto:
      type: object
      properties:
        mode:
          type: string
          description: >-
            Preferred urgency of the payment. This preference will be honored if
            the provider supports it, but it may be ignored - some providers
            pick the mode automatically. If INSTANT is preferred but isn't
            possible for the payment, STANDARD will be used as a fallback.
          example: INSTANT
        feePaidBy:
          type: string
          description: >-
            Preferred distribution of the transaction fees. Mostly irrelevant
            for SEPA Standard payments, but could be used for SEPA Instant in
            certain markets if charging (higher than standard) fees for instant
            payments is allowed there
          example: SENDER
    PaymentSenderAccountOutputDto:
      type: object
      properties:
        number:
          description: Account number details
          allOf:
            - $ref: '#/components/schemas/PaymentAccountNumberOutputDto'
        currency:
          type: string
          description: Currency of the account
      required:
        - number
        - currency
    PaymentAddressOutputDto:
      type: object
      properties:
        country:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - CV
            - KH
            - CM
            - CA
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - SZ
            - ET
            - FJ
            - FI
            - FR
            - GF
            - PF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GN
            - GW
            - GY
            - HT
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IL
            - IT
            - JM
            - JP
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MK
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - BL
            - SH
            - KN
            - LC
            - MF
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SX
            - SK
            - SI
            - SB
            - SO
            - ZA
            - SS
            - ES
            - LK
            - SD
            - SR
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
          description: Country code in ISO format
        city:
          type: string
          description: City
          example: Amsterdam
        streetName:
          type: string
          description: Street name
          example: Damstraat
        buildingNumber:
          type: string
          description: Building number
          example: 1A
        postCode:
          type: string
          description: Post code
          example: 1012AB
      required:
        - country
        - city
        - streetName
        - buildingNumber
        - postCode
    PaymentSenderCredentialsOutputDto:
      type: object
      properties: {}
    PaymentRecipientAccountOutputDto:
      type: object
      properties:
        number:
          description: Recipient account number details
          allOf:
            - $ref: '#/components/schemas/PaymentAccountNumberOutputDto'
      required:
        - number
    PaymentProviderPreferencesCountryCodesOutputDto:
      type: object
      properties:
        list:
          description: List of country codes available for provider selection.
          example:
            - US
            - GB
            - LT
          type: array
          items:
            type: string
        default:
          type: string
          description: Default country code for provider selection.
          example: LT
    PaymentAccountNumberOutputDto:
      type: object
      properties:
        type:
          type: string
          description: Type of the account number
          example: IBAN
        value:
          type: string
          description: Value of the account number
          example: DE89370400440532013000
      required:
        - type
        - value

````